1. #1
    Sencha User
    Join Date
    Oct 2011
    Posts
    9
    Vote Rating
    0
    shkamboj is on a distinguished road

      0  

    Question User extensions latest versions : ItemSelector

    User extensions latest versions : ItemSelector


    Hello ,
    I am not sure
    if this is the right place for this question but sorry as i am new to the Sencha forum .

    I am using version 4.0.6 in my application and want to use ItemSelector in one of the views but dont know from where i need to download its latest version and all its dependencies if any . Can anyone please guide me on this and also if any other settings are required apart from just including the downloaded code ?

    Thanks ..

  2. #2
    Sencha - Senior Forum Manager mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    35,704
    Vote Rating
    751
    mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute

      0  

    Default


    ItemSelector should be in the /examples/ux/form/ folder of the zip file. It's not a user extension anymore.
    Mitchell Simoens @SenchaMitch
    Sencha Inc, Senior Forum Manager
    ________________
    Check out my GitHub, lots of nice things for Ext JS 4 and Sencha Touch 2
    https://github.com/mitchellsimoens

    Think my support is good? Get more personalized support via a support subscription. https://www.sencha.com/store/

    Need more help with your app? Hire Sencha Services services@sencha.com

    Want to learn Sencha Touch 2? Check out Sencha Touch in Action that is in print!

    When posting code, please use BBCode's CODE tags.

  3. #3
    Sencha User
    Join Date
    Oct 2011
    Posts
    9
    Vote Rating
    0
    shkamboj is on a distinguished road

      0  

    Default


    Thanks Mitchell for replying back .
    Is it available with 4.0.6 also ? because when i type xtype 'itemselector' its not being recognised .Also i tried adding 'Ext.ux.form.ItemSelector' but getting the same error saying the js is not found . Do i need to do some other settings too ?

  4. #4
    Sencha - Senior Forum Manager mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    35,704
    Vote Rating
    751
    mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute

      0  

    Default


    Everything in the /examples/ux/ folder are not included within the framework. You will need to load the file yourself...


    Code:
    Ext.Loader.setConfig({
        enabled : true,
        paths   : {
            'Ext.ux' : 'path/to/extjs/examples/ux/'
        }
    });
    
    Ext.require([
        'Ext.ux.form.ItemSelector'
    ]);
    Mitchell Simoens @SenchaMitch
    Sencha Inc, Senior Forum Manager
    ________________
    Check out my GitHub, lots of nice things for Ext JS 4 and Sencha Touch 2
    https://github.com/mitchellsimoens

    Think my support is good? Get more personalized support via a support subscription. https://www.sencha.com/store/

    Need more help with your app? Hire Sencha Services services@sencha.com

    Want to learn Sencha Touch 2? Check out Sencha Touch in Action that is in print!

    When posting code, please use BBCode's CODE tags.

  5. #5
    Sencha User
    Join Date
    Oct 2011
    Posts
    9
    Vote Rating
    0
    shkamboj is on a distinguished road

      0  

    Default


    in our dev environment we have taken only the ext-all-debug.js , ext-all.js , locale and resources . We dont have the whole EXT code .So if i understand you correctly ,i will have to first copy the ux folder or just MultiSelect.js and ItemSelector.js and then use them . How about any related css ?? Or any dependent file ?

  6. #6
    Sencha User skirtle's Avatar
    Join Date
    Oct 2010
    Location
    UK
    Posts
    3,338
    Vote Rating
    248
    skirtle has much to be proud of skirtle has much to be proud of skirtle has much to be proud of skirtle has much to be proud of skirtle has much to be proud of skirtle has much to be proud of skirtle has much to be proud of skirtle has much to be proud of skirtle has much to be proud of skirtle has much to be proud of

      0  

    Default


    Judging by the demo, you'll need:

    examples/ux/css/ItemSelector.css

    If you take a look inside the CSS file you'll see you need some image too.

    For JS dependencies just take a look at the requires block for each class. There are some files you'll need in:

    /examples/ux/layout/component/form

  7. #7
    Sencha User
    Join Date
    Oct 2011
    Posts
    9
    Vote Rating
    0
    shkamboj is on a distinguished road

      0  

    Default


    Thanks everyone , i have downloaded the ItemSelector and other dependent js files and have started my work on ItemSelector . I am yet to include the css files though .

    Thanks for all your help .

  8. #8
    Ext JS Premium Member
    Join Date
    Mar 2011
    Posts
    3
    Vote Rating
    0
    Tony_Peng is on a distinguished road

      0  

    Default


    I use Ext JS 3.3.2 including Ext.ux.grid.RowExpander to develop my web app. I attempt to upgrade Ext JS to 4.1 and how to upgrade the RowExpander?

  9. #9
    Sencha - Senior Forum Manager mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    35,704
    Vote Rating
    751
    mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute

      0  

    Default


    Quote Originally Posted by Tony_Peng View Post
    I use Ext JS 3.3.2 including Ext.ux.grid.RowExpander to develop my web app. I attempt to upgrade Ext JS to 4.1 and how to upgrade the RowExpander?
    Check out the grid plugins example for how to use the RowExpander as we now have it within the library.
    Mitchell Simoens @SenchaMitch
    Sencha Inc, Senior Forum Manager
    ________________
    Check out my GitHub, lots of nice things for Ext JS 4 and Sencha Touch 2
    https://github.com/mitchellsimoens

    Think my support is good? Get more personalized support via a support subscription. https://www.sencha.com/store/

    Need more help with your app? Hire Sencha Services services@sencha.com

    Want to learn Sencha Touch 2? Check out Sencha Touch in Action that is in print!

    When posting code, please use BBCode's CODE tags.

film izle

hd film izle

film sitesi

takipci kazanma sitesi

takipci kazanma sitesi

güzel olan herşey

takipci alma sitesi

komik eğlenceli videolar